## session-migration 0.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8) 
project(user-migration)

find_package (PkgConfig)
pkg_check_modules (CACHED_SESSIONMIGRATION_DEPS REQUIRED "glib-2.0;gio-2.0")

add_subdirectory(src)

file(COPY debhelper tests
     DESTINATION ${PROJECT_BINARY_DIR})
add_custom_target(check
                  COMMAND nosetests3
                  DEPENDS session-migration)

macro(add_manpages target manpages translations)
    foreach(man ${manpages})
        string(LENGTH ${man} manpage_length)
        math(EXPR manpage_length ${manpage_length}-1)
        string(SUBSTRING ${man} ${manpage_length} 1 section)
        install(FILES ${man} DESTINATION share/man/man${section})

        if (USE_NLS)
            foreach(translation ${translations})
                set(transdir ${CMAKE_CURRENT_BINARY_DIR}/${translation})
                add_po4a(man ${man} po/${translation}.po ${transdir}/${man} "")
                install(FILES ${transdir}/${man}
                        DESTINATION share/man/${translation}/man${section})
                set(files ${files} ${transdir}/${man})
            endforeach(translation ${translations})
        endif(USE_NLS)
    endforeach(man ${manpages})
    add_custom_target(${target} ALL DEPENDS ${files})
endmacro(add_manpages target manpages translations)
add_manpages(doc-rawman session-migration.1 "en;")

=== debian/changelog ===
session-migration (0.2) quantal; urgency=low

  * dh_migrations adds a dependency using ${misc:Depends} on the packages
    using a migration
  * add a second binary packages for test and making additional checks
  * fix a typo in the man

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Jul 2012 16:50:49 +0200

session-migration (0.1) quantal; urgency=low

  * Initial release

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Jul 2012 18:41:19 +0200

## session-migration 0.2.1

=== data/CMakeLists.txt ===
install (FILES session-migration.conf DESTINATION share/upstart/sessions)

=== debian/changelog ===
session-migration (0.2.1) trusty; urgency=low

  [ Didier Roche ]
  * add more info to the manpage

  [ Iain Lane ]
  * Add an upstart user session script, so we can run session-migration under
    more types of session.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Jan 2014 11:27:26 +0000

=== debian/control ===
Source: session-migration
Section: misc
Priority: extra
Maintainer: Didier Roche <didrocks@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               cmake (>= 2.8),
               libglib2.0-dev,
               python3,
               python3-nose,
Standards-Version: 3.9.3
Homepage: https://launchpad.net/session-migration
Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/session-migration/trunk

Package: session-migration
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Tool to migrate in user session settings
 This tool is used to migrate in session user data when a program is evolving
 its configuration, or needing to have files moved and so on.
 .
 This program is generally autostarted at the very beginning of the session
 and integrates caching capability.

Package: dh-migrations
Architecture: all
Depends: ${misc:Depends},
         debhelper,
Description: debhelper extension for session-migration support
 This package provides a debhelper extension to perform session migration
 operations on the installed packaged.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version:/ { s/^Version: //; p}')

%:
	dh $@ 

override_dh_install:
	dh_install --fail-missing
	mkdir -p debian/dh-migrations/usr/share/man/man1/
	pod2man -c Debhelper -r "$(VERSION)" debhelper/dh_migrations debian/dh-migrations/usr/share/man/man1/dh_migrations.1

## session-migration 0.2.2

=== debian/changelog ===
session-migration (0.2.2) vivid; urgency=medium

  [ Justin McPherson ]
  * Fix spelling in doc

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Apr 2015 12:37:15 +0200

## session-migration 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 find_package (PkgConfig)
 pkg_check_modules (CACHED_SESSIONMIGRATION_DEPS REQUIRED "glib-2.0;gio-2.0")
 
+add_subdirectory(data)
 add_subdirectory(src)
 
 file(COPY debhelper tests

=== debian/changelog ===
session-migration (0.2.3) wily; urgency=low

  * debian/patches/fix-typo-in-package-desc.dff: fix typo in package
    description. The word 'packaged' was replaced with 'packages'.
    (LP: #1193822)

 -- Gayan Weerakutti <gayan@reversiblean.com>  Wed, 06 May 2015 11:39:12 +0530

=== debian/control ===
--- 
+++ 
@@ -28,4 +28,4 @@
          debhelper,
 Description: debhelper extension for session-migration support
  This package provides a debhelper extension to perform session migration
- operations on the installed packaged.
+ operations on the installed packages.

## session-migration 0.3

=== debian/changelog ===
session-migration (0.3) yakkety; urgency=medium

  * Add systemd user units, which are used if the user session is launched
    under systemd.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Jul 2016 12:08:48 +0100

## session-migration 0.3.2

=== debian/changelog ===
session-migration (0.3.2) artful; urgency=medium

  * tests/debhelper_tests.py: Unset $DH_INTERNAL_OPTIONS from the environment
    when building packages for the tests. When we do an arch-only build, this
    contains '-a', which causes the test packages to not build since they are
    arch: any. (LP: #1704238)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 14 Jul 2017 10:51:03 +0100

session-migration (0.3.1) artful; urgency=medium

  * src/session-migration.c: Set the locale, so we can get unicode output.
  * tests/migration_tests.py, debian/control, CMakeLists.txt: Expect “ and ”
    as quote marks from GLib - as of 2.51, this is what it outputs. Require
    this version of glib at build-time.
  * debian/rules: Run the tests in C.UTF-8 so we can actually get those
    characters.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 13 Jul 2017 16:44:57 +0100

## session-migration 0.3.3

=== debian/changelog ===
session-migration (0.3.3) bionic; urgency=medium

  * src/session-migration.c:
    fix default permission when creating unexisting parent directories
    to be 700. (LP: #1735929)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 23 Jan 2018 10:31:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Didier Roche <didrocks@ubuntu.com>
 Build-Depends: debhelper (>= 9.0.0),
                cmake (>= 2.8),
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.51.1),
                python3,
                python3-nose,
 Standards-Version: 3.9.3

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	dh_install --fail-missing
 	mkdir -p debian/dh-migrations/usr/share/man/man1/
 	pod2man -c Debhelper -r "$(VERSION)" debhelper/dh_migrations debian/dh-migrations/usr/share/man/man1/dh_migrations.1
+
+override_dh_auto_test:
+	LC_ALL=C.UTF-8 dh_auto_test

=== tests/data/melticecream/debian/control ===
Source: melticecream
Section: utils
Priority: extra
Maintainer: Joe User <joe@example.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3

Package: vanilla
Architecture: all
Depends: ${misc:Depends}
Description: vanilla
 vanilla

Package: nochocolate
Architecture: all
Depends: ${misc:Depends}
Description: chocolate
 chocolate

## session-migration 0.3.4

=== debian/changelog ===
session-migration (0.3.4) disco; urgency=medium

  * Fix failing tests due to keyfiles get from stdlib not keeping tuple
    order. (LP: #1823435)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Apr 2019 15:38:19 +0200

## session-migration 0.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(user-migration)
 
 find_package (PkgConfig)
-pkg_check_modules (CACHED_SESSIONMIGRATION_DEPS REQUIRED "glib-2.0;gio-2.0")
+pkg_check_modules (CACHED_SESSIONMIGRATION_DEPS REQUIRED "glib-2.0>=2.51.1;gio-2.0")
 
 add_subdirectory(data)
 add_subdirectory(src)

=== data/CMakeLists.txt ===
install (FILES session-migration.conf DESTINATION share/upstart/sessions)
install (FILES session-migration.service DESTINATION lib/systemd/user)
install (FILES session-migration.override DESTINATION share/upstart/systemd-session/upstart)

=== debian/changelog ===
session-migration (0.3.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 10 Sep 2021 13:13:02 -0400

session-migration (0.3.5) focal; urgency=medium

  * tests/debhelper_tests.py:
    - updated test_build_with_missing_script to the format changes in the
      debhelper error string, fixes the build (lp: #1870081)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2020 15:18:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: session-migration
 Section: misc
 Priority: extra
-Maintainer: Didier Roche <didrocks@ubuntu.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Didier Roche <didrocks@ubuntu.com>
 Build-Depends: debhelper (>= 9.0.0),
                cmake (>= 2.8),
                libglib2.0-dev (>= 2.51.1),

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 %:
 	dh $@ 
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_install:
 	dh_install --fail-missing
 	mkdir -p debian/dh-migrations/usr/share/man/man1/

## session-migration 0.3.5build1

=== debian/changelog ===
session-migration (0.3.5build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:13 +0200

## session-migration 0.3.6

=== src/CMakeLists.txt ===
set (CFLAGS ${CACHED_SESSIONMIGRATION_DEPS_CFLAGS})
set (LIBS ${CACHED_SESSIONMIGRATION_DEPS_LIBRARIES} ${UNITY_STANDALONE_LADD})

add_definitions (${CFLAGS})
link_libraries (${LIBS})

add_executable (session-migration session-migration.c) 

install(TARGETS session-migration DESTINATION bin)

=== debian/changelog ===
session-migration (0.3.6) jammy; urgency=medium

  * Have dh-migrations Provide dh-sequence-migrations
  * Build-Depend on debhelper-compat 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Mar 2022 10:19:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: session-migration
 Section: misc
-Priority: extra
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Didier Roche <didrocks@ubuntu.com>
-Build-Depends: debhelper (>= 9.0.0),
+Priority: optional
+Maintainer: Didier Roche <didrocks@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                cmake (>= 2.8),
                libglib2.0-dev (>= 2.51.1),
                python3,
@@ -27,6 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          debhelper,
+Provides: dh-sequence-migrations
 Description: debhelper extension for session-migration support
  This package provides a debhelper extension to perform session migration
  operations on the installed packages.

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,7 @@
 %:
 	dh $@ 
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
-override_dh_install:
-	dh_install --fail-missing
+execute_after_dh_install:
 	mkdir -p debian/dh-migrations/usr/share/man/man1/
 	pod2man -c Debhelper -r "$(VERSION)" debhelper/dh_migrations debian/dh-migrations/usr/share/man/man1/dh_migrations.1

## session-migration 0.3.9build1

=== debian/changelog ===
session-migration (0.3.9build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:12:37 +0000

session-migration (0.3.9) noble; urgency=medium

  * Also retain compatibility with 32-bit time_t archs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 15:30:58 -0700

session-migration (0.3.8) noble; urgency=medium

  * src/session-migration.c: fix format string for 64-bit time_t.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 19:39:09 -0800

session-migration (0.3.7) noble; urgency=medium

  * Replace obsolete unittest.TestCase.assertEquals with assertEqual

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 18:49:02 -0800

=== tests/data/melticecream/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with migrations --parallel

## session-migration 0.3.9build2

=== debian/changelog ===
session-migration (0.3.9build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 15:14:13 +0100
